Bug 186042 - X server crashes starting xine
X server crashes starting xine
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 04:45 EST by Andy Burns
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log including crash info (136.40 KB, text/plain)
2006-03-21 04:45 EST, Andy Burns
no flags Details
/etc/X11/xorg.conf (2.60 KB, text/plain)
2006-03-25 08:35 EST, Andy Burns
no flags Details

  None (edit)
Description Andy Burns 2006-03-21 04:45:04 EST
Description of problem:
When starting xine (from livna) the X server often crashes
This has happened under xen in dom0 and in non-xen kernels
of course I realise xine itself is outside the Core/Extras scope

Version-Release number of selected component (if applicable):
kernel 2.6.15-1.2054_FC5
xorg-x11-server-Xorg  1.0.1-9
xorg-x11-drv-ati  6.5.7.3-4

How reproducible:
approx 30% chance

Steps to Reproduce:
1. load dvb-t drivers
2. start xine
  
Actual results:
X server hangs or restarts

Expected results:
xine runs without crashing X

Additional info:
Log file attached
Comment 1 Andy Burns 2006-03-21 04:45:04 EST
Created attachment 126384 [details]
X server log including crash info
Comment 2 Mike A. Harris 2006-03-24 20:18:56 EST
> 1. load dvb-t drivers

What are 'dvb-t' drivers?

Attach your X server config file also please.

TIA


(for future reference, from server log above)

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x82) [0x4784a2]
1: /lib64/libc.so.6 [0x38d1e2f7c0]
2: /usr/lib64/xorg/modules/extensions/libGLcore.so(XMesaSwapBuffers+0x24)
[0x2b09f6a1f814]
3: /usr/lib64/xorg/modules/extensions/libGLcore.so(__MESA_swapBuffers+0x13)
[0x2b09f6a09503]
4: /usr/lib64/xorg/modules/extensions/libglx.so(__glXSwapBuffers+0xb1)
[0x2b09f6712891]
5: /usr/bin/Xorg(Dispatch+0x1cd) [0x44a52d]
6: /usr/bin/Xorg(main+0x455) [0x432d55]
7: /lib64/libc.so.6(__libc_start_main+0xf4) [0x38d1e1d084]
8: /usr/bin/Xorg(FontFileCompleteXLFD+0xa9) [0x432059]

Fatal server error:
Caught signal 11.  Server aborting
Comment 3 Andy Burns 2006-03-25 08:35:55 EST
Created attachment 126716 [details]
/etc/X11/xorg.conf

DVB-T is digital terrestrial TV, relevant v4l/dvb drivers from linuxtv.org for
my tuner cards are in the stock Fedora kernel, the module saa7134 is loaded
automatically, I have to manually load the module saa71340_vdb module, at which
point udev creates the device entries under /dev/dvb/adapterN, xine then tunes
and decodes video and overlays it to the X surface.

The crash occurs less than once in every 5 times of starting xine, and when it
does occur is always when starting xine, I've never had it crash once it gets
started.
Comment 4 Mike A. Harris 2006-06-27 10:34:17 EDT
We don't support systems which have 3rd party kernel modules loaded.
You'll have to reproduce the problem without any 3rd party kernel modules
loaded, or if it only occurs with 3rd party kernel modules, then it is an
issue you'll need to report to the upstream project that provides these
drivers, or alternatively diagnose/fix yourself or with help from the
community.

Setting status to "CANTFIX" (unsupported)
Comment 5 Andy Burns 2006-07-01 02:56:15 EDT
Where did I say I have 3rd party modules loaded? 

xine from "the repo that I shoudln't have mentioned" is only an application, to
be clear, both my ati driver, and the v4l dvb-t drivers are stock Fedora, I
haven't used xine lately, but thought that an app that can kill the xserver
would be worth persuing.

As this is quite an old bug now, I'm happy to test it again if you're interested
in the results?


Comment 6 Mike A. Harris 2006-07-04 16:36:02 EDT
(In reply to comment #5)
> Where did I say I have 3rd party modules loaded? 

The way the first line of comment #3 was worded, it sounded to me like
you were using 3rd party drivers (from mention of "from linuxtv.org").

Reading it again now, it seems the statement just contains a bunch of
unnecessary details which make it a bit confusing.

 
> xine from "the repo that I shoudln't have mentioned" is only an application, to
> be clear, both my ati driver, and the v4l dvb-t drivers are stock Fedora, I
> haven't used xine lately, but thought that an app that can kill the xserver
> would be worth persuing.

To be clear, I wasn't refering to "xine" as an external driver.  I
misunderstood your claim.  If it had just read "the dvb-t drivers
included with the Fedora kernel for ..." it would have been a bit
clearer.  The unnecessary "from linuxtv.org" information confused
things.

 
> As this is quite an old bug now, I'm happy to test it again if you're interested
> in the results?

After updating to all of the latest Fedora updates and rebooting, does the
problem still occur?  We've just recently released a new X server, mesa
and various other updates for FC5.

If the problem still occurs with the latest updates installed, please
attach your X server log and config file, and /var/log/messages as individual
uncompressed file attachments.

Thanks in advance.

Comment 7 Mike A. Harris 2006-07-04 16:40:37 EDT
Oh, I forgot to mention...  Please reproduce this without the Xen kernel,
and do all testing without Xen.  We don't really support X running under
Xen currently, and there are a number of known issues reported by people
who have attempted to use X under Xen.  At some point in the future this is
likely to change, but X under Xen is totally "as is" more or less for the
time being.
Comment 8 Adam Jackson 2007-05-26 15:09:19 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.